function amped
clc
[domain,domains]=uigetfile('../domains/*.m','Select a domain');
if domain==0, return; end
run([domains,domain]);
initial=load('../domains/domain.mat');
inx=initial.x; iny=initial.y; invt=initial.v;
ine=initial.e; inep=initial.ep; intr=initial.tr;
intrp=initial.trp; cc=initial.cc; ci=initial.ci;
s=3; p1=[1 2 3];
[x,y,m,tr,trp,lv,nn1]=ampesample(1200,inx,iny,invt,ine,inep,intr,intrp,cc,ci,s,p1);
cs=[1 1 1; 1 0 0; 0 1 0; 0 1 1];
for nm=[nn1(1,1:min(size(nn1,2),6)) 1200];
    figure
    [x,y,m,tr,trp,lv,nn]=ampesample(nm-1,inx,iny,invt,ine,inep,intr,intrp,cc,ci,s,p1);
    hold on
    for k=1:m
        t1=tr(k,1); t2=tr(k,2); t3=tr(k,3);
        t=[t1 t2 t3 t1]; tt=trp(k,2)/lv; tt=(1-tt)*0.75+tt;
        fill(x(t),y(t),cs(trp(k,1)+1,:)*tt);
    end
    hold off
    axis equal
    axis off
end

function [x,y,m,tr,trp,lv,nn]=ampesample(nm,x,y,v,e,ep,tr,trp,cc,ci,s,p1)
n=length(x);
em=size(e,1);
m=size(tr,1);
vn=length(v);
cn=length(ci);
p1n=length(p1);
f=fopen('../fortran_io/domain','w');
fprintf(f,'%10d\n',n);
fprintf(f,'%10d\n',em);
fprintf(f,'%10d\n',m);
fprintf(f,'%10d\n',vn);
fprintf(f,'%10d\n',cn);
for i=1:n
    fprintf(f,'%25.15e\n',x(i));
end
for i=1:n
    fprintf(f,'%25.15e\n',y(i));
end
for i=1:vn
    fprintf(f,'%10d\n',v(i));
end
for i=1:cn
    fprintf(f,'%10d\n',ci(i));
end
for i=1:cn
    fprintf(f,'%25.15e%25.15e%25.15e\n',cc(i,1:3));
end
for i=1:em
    fprintf(f,'%10d%10d\n',e(i,1:2));
end
for i=1:em
    fprintf(f,'%10d%10d\n',ep(i,1:2));
end
for i=1:m
    fprintf(f,'%10d%10d%10d\n',tr(i,1:3));
end
for i=1:m
    fprintf(f,'%10d%10d\n',trp(i,1:2));
end
fclose(f);
nmax=max(nm*3,1500000);
lvmax=150;
c=0;
vps=3;
cr=0.25; 
cg=0;
on=3;
rho=0.05;
rho1=1;
vk1=6;
vkk=2;
f=fopen('../fortran_io/input','w');
fprintf(f,'%10d\n',nm);
fprintf(f,'%10d\n',nmax);
fprintf(f,'%10d\n',lvmax);
fprintf(f,'%10d\n',s);
fprintf(f,'%10d\n',p1n);
for i=1:p1n
    fprintf(f,'%10d\n',p1(i));
end
fprintf(f,'%10.5f\n',cr);
fprintf(f,'%10d\n',vps);
fprintf(f,'%10d\n',cg);
fprintf(f,'%10d\n',on);
fprintf(f,'%10d\n',c);
fprintf(f,'%10.5f\n',rho);
fprintf(f,'%10.5f\n',rho1);
fprintf(f,'%10d\n',vk1);
fprintf(f,'%10d\n',vkk);
fprintf(f,'%10d\n',2);
fprintf(f,'%10d\n',1);
fclose(f);
run('../fortran_io/fortrancom')
f=fopen('../fortran_io/output','r');
spw=fread(f,1,'int');
n=fread(f,1,'int');
em=fread(f,1,'int');
m=fread(f,1,'int');
lv=fread(f,1,'int');
v1n=fread(f,1,'int');
theta=fread(f,[2 s],'double'); theta=theta(2,:);
nn=fread(f,[5 lv],'int'); nn=nn(3:5,:);
tt=fread(f,[3 lv],'single'); tt=tt(3,:);
tt1=zeros(1,lv);
tt1(1)=tt(1);
for i=2:lv
    tt1(i)=tt1(i-1)+tt(i);
end
thetan=nn(3,lv);
thetav=zeros(thetan,s);
for j=1:s
    thetaj=fread(f,[2 thetan],'double');
    thetav(:,j)=thetaj(2,:)';
end
for i=1:p1n
    rn1=fread(f,[4 lv],'double');
    rn.nr(i).rn=rn1(2:4,:);
end
tr=fread(f,[5 m],'int');
tr=tr(3:5,:)';
e=fread(f,[4 em],'int');
e=e(3:4,:)';
xy=fread(f,[3 n],'double');
x=xy(2,:)'; y=xy(3,:)';
u=zeros(n,s);
for j=1:s
    uj=fread(f,[2 n],'double');
    u(:,j)=uj(2,:)';
end
v1=fread(f,[3 v1n],'int'); v1=v1(3,:);
trp=fread(f,[4 m],'int');
trp=trp(3:4,:)';
for k=1:m
    s1=tr(k,1); s2=tr(k,2); s3=tr(k,3);
    t11=e(s1,1); t12=e(s1,2);
    t21=e(s2,1); t22=e(s2,2);
    t31=e(s3,1); t32=e(s3,2);
    if t11==t21
        t2=t11; t1=t12; t3=t22;
    else
        if t12==t21
            t2=t12; t1=t11; t3=t22;
        else
            if t11==t31 || t11==t32
                t1=t11; t2=t12;
            else
                t1=t12; t2=t11;
            end
            t3=t21;
        end
    end
    tr(k,1)=t1; tr(k,2)=t2; tr(k,3)=t3;
end
fclose(f);
