function domainview
clc
[domain,domains]=uigetfile('../domains/*.m','Select a domain');
if domain==0, return; end
run([domains,domain]);
initial=load('../domains/domain.mat');
inx=initial.x; iny=initial.y; invt=initial.v;
ine=initial.e; inep=initial.ep; intr=initial.tr;
intrp=initial.trp; cc=initial.cc; ci=initial.ci;
inv1=ones(1,length(inx)); inv1(invt)=2;
inh=0.1*sqrt((inx(1)-inx(2))^2+(iny(1)-iny(2))^2);
inaxis=[min(inx)-inh max(inx)+inh min(iny)-inh max(iny)+inh];
cl1=[0 0.3 1];
sc=get(0,'ScreenSize'); s1=sc(3); s2=s1/2;
s=[s1*0.05 (sc(4)-s2)/2 s1*0.9 s2];
figure('Position',s)
fs1=15;
subplot(1,2,1)
plot(inx,iny,'k.');
hold on
for i=1:size(ine,1)
    xc=sum(inx(ine(i,:)))/2; yc=sum(iny(ine(i,:)))/2;
    br=0;
    for j=1:i-1
        if (xc-sum(inx(ine(j,:)))/2)^2+(yc-sum(iny(ine(j,:)))/2)^2<1e-10
            br=1; break;
        end
    end
    epi1=inep(i,1);
    if epi1<1
        cl='k';
    else
        cl=cl1;
    end
    if br==0
        plot(inx(ine(i,:)),iny(ine(i,:)),'Color',cl);
        text(xc,yc,num2str(i),'FontSize',fs1,'FontWeight','bold');
    else
        text(xc+inh,yc,['(',num2str(i),')'],'Color',cl,'FontSize',fs1,'FontWeight','bold');
    end
end
for i=1:length(inx)
    if inv1(i)==1
        plot(inx(i),iny(i),'o','Color',cl1,'MarkerSize',9,'LineWidth',2);
    end
end
hold off
axis equal
axis(inaxis)
axis off
subplot(1,2,2)
plot(inx,iny,'k.');
hold on
for i=1:size(ine,1)
    xc=sum(inx(ine(i,:)))/2; yc=sum(iny(ine(i,:)))/2;
    br=0;
    for j=1:i-1
        if (xc-sum(inx(ine(j,:)))/2)^2+(yc-sum(iny(ine(j,:)))/2)^2<1e-10
            br=1; break;
        end
    end
    epi1=inep(i,1);
    if epi1<1
        cl='k';
    else
        cl=cl1;
    end
    if br==0
        plot(inx(ine(i,:)),iny(ine(i,:)),'Color',cl);
    end
end
for i=1:length(inx)
    text(inx(i)+0.05,iny(i)+0.05,num2str(i),'FontSize',fs1,'FontWeight','bold')
    if inv1(i)==1
        plot(inx(i),iny(i),'o','Color',cl1,'MarkerSize',9,'LineWidth',2);
    end
end
hold off
axis equal
axis(inaxis)
axis off
